plugin: openstack

only_clouds:
  - catalyst-cloud

keyed_groups:
  - key: openstack.metadata.host_prefix
    separator: ""
    prefix: ""

groups:
  appcluster: openstack.metadata.host_prefix == '{{ inventory_hostname }}' and 'appcluster' in openstack.metadata.pre_groups.split(',')
  cluster: openstack.metadata.host_prefix == '{{ inventory_hostname }}' and 'cluster' in openstack.metadata.pre_groups.split(',')
  loadbalancer: openstack.metadata.host_prefix == '{{ inventory_hostname }}' and 'loadbalancer' in openstack.metadata.pre_groups.split(',')
  bastion: openstack.metadata.host_prefix == '{{ inventory_hostname }}' and 'bastion' in openstack.metadata.pre_groups.split(',')
  web: openstack.metadata.host_prefix == '{{ inventory_hostname }}' and 'web' in openstack.metadata.pre_groups.split(',')
  app: openstack.metadata.host_prefix == '{{ inventory_hostname }}' and 'app' in openstack.metadata.pre_groups.split(',')
  publichosts: openstack.metadata.host_prefix == '{{ inventory_hostname }}' and 'publichosts' in openstack.metadata.pre_groups.split(',')
  private_net: openstack.metadata.host_prefix == '{{ inventory_hostname }}' and 'private_net' in openstack.metadata.pre_groups.split(',')
  blue: openstack.metadata.host_prefix == '{{ inventory_hostname }}' and 'blue' in openstack.metadata.pre_groups.split(',')
  green: openstack.metadata.host_prefix == '{{ inventory_hostname }}' and 'green' in openstack.metadata.pre_groups.split(',')
  blue_green: openstack.metadata.host_prefix == '{{ inventory_hostname }}' and 'blue_green' in openstack.metadata.pre_groups.split(',')
